GET
/api/auth/me
const url = 'https://example.com/api/auth/me';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/auth/me \ --header 'Authorization: Bearer <token>'Returns the user identified by the bearer token on the request.
Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”Current user profile.
Media type application/json
The authenticated user attached to the current bearer token.
object
id
string format: uuid
merchantId
string format: uuid
email
string
fullName
string
role
string
Example
{ "role": "Owner"}No valid token on the request.
Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}